org.apache.cassandra.schema

## Class LegacySchemaMigrator

- java.lang.Object
- - org.apache.cassandra.schema.LegacySchemaMigrator

-     public final class LegacySchemaMigrator
      extends java.lang.Object

  This majestic class performs migration from legacy (pre-3.0) system.schema_* schema tables to the new and glorious system_schema keyspace. The goal is to not lose any information in the migration - including the timestamps.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CachingParams` | `cachingFromRow(java.lang.String caching)` 2.1 and newer use JSON'ified map of caching parameters, but older versions had valid Strings NONE, KEYS_ONLY, ROWS_ONLY, and ALL
    `static void` | `migrate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### migrate

          public static void migrate()

    - #### cachingFromRow

          public static CachingParams cachingFromRow(java.lang.String caching)

      2.1 and newer use JSON'ified map of caching parameters, but older versions had valid Strings NONE, KEYS_ONLY, ROWS_ONLY, and ALL
      Parameters:
        `caching,` - the string representing the table's caching options
      Returns:
        CachingParams object corresponding to the input string

Copyright © 2018 The Apache Software Foundation